{% from "bootstrap5/form.html" import quick_form, render_field, render_hidden_errors %}
{% extends "base.html" %}
{% block title %}{{title}}{% endblock %}
{% block content %}

{% if status["error"] %}
	{% set alert_style = "alert-danger" %}
{% else %}
	{% if status["running"] %}
		{% set alert_style = "alert-primary" %}
	{% else %}
		{% set alert_style = "alert-success" %}
	{% endif %}
{% endif %}

{% if status["alert"] %}
<div class="alert {{alert_style}}">
	{% for line in status["alert"] %}
		{% if loop.last %}
			{{ line }}
		{% else%}
			{{ line }} <br>
		{% endif %}
	{% endfor %}
</div>
{% endif %}

{{ render_hidden_errors(form) }}

<h2>{{title}}</h2>

{% block before_form %}{% endblock %}

<form method="post" action="/{{model_name}}/start" class="mb-4" role=form>
	{{ form.hidden_tag() }}
	
	{% block form_fields %}{% endblock %}

	<div class="row">
		<div class="col-4 g-4">
			{% if form_state["start_btn_enabled"] %}
			<button class="btn-lg btn-primary" type="submit">Start test</button>
			{% endif %}
		</div>
	</div>
</form>

<form method="post" action="/{{model_name}}/stop" class="mb-4" role=form>
	<div class="col-4 g-4">
		{% if form_state["stop_btn_enabled"] %}
		<button class="btn-lg btn-danger" type="submit">Stop test</button>
		{% endif %}
	</div>
</form>


{% block after_form %}{% endblock %}


{% if process_output %}
<h2 class="mb-4">Terminal output</h2>
<pre>
{% for line in process_output %}{{ line }}
{% endfor %}
</pre>
{% endif %}

{% endblock %}